<?php
/**
 * @package WordPress
 * @subpackage Wheels
 */

$sidebar_layout = airpro_get_layout_option( 'page-sidebar-layout' );	/* left, right, none */
get_header();
?>
<?php get_template_part( 'templates/title' ); ?>
<div class="<?php echo airpro_class( 'main-wrapper' ) ?>">
	<div class="<?php echo airpro_class( 'container' ) ?>">

		<?php if ( 'left' == $sidebar_layout ) : ?>
			<div class="<?php echo airpro_class( 'sidebar' ) ?>">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>

		<div class="<?php echo airpro_class( 'content' ) ?>">
			<?php if ( have_posts() ): ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'templates/content', get_post_format() ); ?>
				<?php endwhile; ?>
			<?php else: ?>
				<?php get_template_part( 'templates/content', 'none' ); ?>
			<?php endif; ?>
			<div class="<?php echo airpro_class( 'pagination' ) ?>">
				<?php airpro_pagination(); ?>
			</div>
		</div>

		<?php if ( 'right' == $sidebar_layout ) : ?>
			<div class="<?php echo airpro_class( 'sidebar' ) ?>">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>

	</div>
</div>
<?php get_footer(); ?>
