<?php

add_filter( 'language_attributes', 'airpro_language_attributes' );
add_filter( 'excerpt_length', 'airpro_excerpt_length' );
add_filter( 'excerpt_more', 'airpro_excerpt_more' );
add_filter( 'request', 'airpro_request_filter' );
add_filter( 'get_search_form', 'airpro_get_search_form' );

/**
 * Clean up language_attributes() used in <html> tag
 *
 * Remove dir="ltr"
 */
function airpro_language_attributes() {
	$attributes = array();
	$output     = '';

	if ( is_rtl() ) {
		$attributes[] = 'dir="rtl"';
	}

	$lang = get_bloginfo( 'language' );

	if ( $lang ) {
		$attributes[] = "lang=\"$lang\"";
	}

	$output = implode( ' ', $attributes );
	$output = apply_filters( 'airpro_language_attributes', $output );

	return $output;
}

/**
 * Clean up the_excerpt()
 */
function airpro_excerpt_length( $length ) {
	$post_excerpt_length = airpro_get_option('post-excerpt-length', POST_EXCERPT_LENGTH);
	return $post_excerpt_length;
}

function airpro_excerpt_more( $more ) {
	return '&nbsp;<a href="' . get_permalink() . '">[&hellip;]</a>';
}


/**
 * Fix for empty search queries redirecting to home page
 *
 * @link http://wordpress.org/support/topic/blank-search-sends-you-to-the-homepage#post-1772565
 * @link http://core.trac.wordpress.org/ticket/11330
 */
function airpro_request_filter( $query_vars ) {
	if ( isset( $_GET['s'] ) && empty( $_GET['s'] ) && ! is_admin() ) {
		$query_vars['s'] = ' ';
	}

	return $query_vars;
}


/**
 * Tell WordPress to use searchform.php from the templates/ directory
 */
function airpro_get_search_form( $form ) {
	$form = '';
	include_once get_template_directory() . '/templates/searchform.php';

	return $form;
}

