<?php

function airpro_ocdi_confirmation_dialog_options ( $options ) {
    return array_merge( $options, array(
        'width'       => 300,
        'dialogClass' => 'wp-dialog',
        'resizable'   => false,
        'height'      => 'auto',
        'modal'       => true,
        'title'     => 'Import process starting...'
    ) );
}

function airpro_ocdi_import_files() {
	return array(
        array(
            'import_file_name'             => 'AirPro Classic Demo',
            'categories'                   => array( 'Classic' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'demo-content/demo-classic/site-content/airprotest20170725.wordpress.2018-08-13.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'demo-content/demo-classic/widgets/airpro.creatopusthemes.com-test-widgets.wie',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'demo-content/demo-classic/redux/redux_options_airpro_options_backup_18-04-2018.json',
                    'option_name' => 'airpro_options',
                ),
            ),
            'import_preview_image_url'  => 'http://airpro.creatopusthemes.com/sales-letter-images/demo-installation-classic-thumb.jpg',
            'import_notice'                => __( '<p> This demo will import all content and plugins found also in other demos. </p> <p> But besides the differences in colors and landing page style, it has one additional difference: e-commerce (WooCommerce plugin) will initially be deactivated.</p> <p> This can be changed at any moment in a usual way, by activating WooCommerce through WordPress dashboard. </p>', 'airpro' ),
            'preview_url'                  => 'http://airpro.creatopusthemes.com'
        ),
        array(
            'import_file_name'             => 'AirPro E-commerce Demo',
            'categories'                   => array( 'E-commerce (WooCommerce)' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'demo-content/demo-ecommerce/site-content/airprotest20170725.wordpress.2018-04-18.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'demo-content/demo-ecommerce/widgets/airpro.creatopusthemes.com-test-widgets.wie',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'demo-content/demo-ecommerce/redux/redux_options_airpro_options_backup_18-04-2018.json',
                    'option_name' => 'airpro_options',
                ),
            ),
            'import_preview_image_url'  => 'http://airpro.creatopusthemes.com/sales-letter-images/demo-installation-ecommerce-thumb.jpg',
            'import_notice'                => __( '<p> This demo will import all content and plugins found also in other demos. </p> <p> But besides the differences in colors and landing page style, it has one important additional difference: e-commerce (WooCommerce plugin) will be activated and immediately ready to use. </p>', 'airpro' ),
            'preview_url'                  => 'http://airpro.creatopusthemes.com/ecommerce'
        )
    );
}

function airpro_ocdi_after_import_set_menu_locations() {    
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'primary_navigation' => $main_menu->term_id,
        )
    );
}

function airpro_ocdi_after_import_set_frontpage_and_postspage( $selected_import ) {  
    $selected_demo_includes_ecommerce = 'AirPro E-commerce Demo' === $selected_import[ 'import_file_name' ];

    $home_page_name = $selected_demo_includes_ecommerce
        ? 'Home Demo Shop':
        'AirPro Home';

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( $home_page_name );
    $blog_page_id  = get_page_by_title( 'Tips & Tricks' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );
}

function airpro_ocdi_after_import_layerslider() {
    // Import demo LayerSlider WP sliders

    $ls_root_path = 'LS_ROOT_PATH';
    $ls_import_util = 'LS_ImportUtil';  //Prior to PHP 5.5, empty() only supports variables; anything else will result in a parse error.
    if ( empty( $ls_root_path ) || empty( $ls_import_util ) ) {
        return;
    }
    
    $sliderImportfilePath = trailingslashit( get_template_directory() ) . 'demo-content/layer-slider/LayerSlider_Export_2018-04-16_at_16.12.27.zip';

	include LS_ROOT_PATH.'/classes/class.ls.importutil.php';
	$import = new LS_ImportUtil($sliderImportfilePath);
};

function airpro_ocdi_after_import_set_permalinks() {    
    //set permalink to "postname"
    global $wp_rewrite;
    $wp_rewrite->set_permalink_structure( '\/%postname%\/' );   //http: //wordpress.stackexchange.com/questions/31207/how-to-set-permalink-structure-via-functions-php
    $wp_rewrite->flush_rules();
}

function airpro_ocdi_after_import_set_events_calendar() {    
    //set slug for Events Calendar:
    $tribeEventsOptions = get_option( 'tribe_events_calendar_options' );
    if ( isset($tribeEventsOptions) ) {
        $shouldUpdateOption = false;
    	if ( ! array_key_exists( 'eventsSlug', $tribeEventsOptions ) ) {
    		$tribeEventsOptions[ 'eventsSlug' ] = 'promotions';
            $shouldUpdateOption = true;
    	}
    	if ( ! array_key_exists( 'singleEventSlug', $tribeEventsOptions ) ) {
    		$tribeEventsOptions[ 'singleEventSlug' ] = 'special-offer';
            $shouldUpdateOption = true;
    	}
        if ( ! array_key_exists( 'tribeEnableViews', $tribeEventsOptions ) ) {
            $tribeEventsOptions[ 'tribeEnableViews' ] = array( 'month' );
            $shouldUpdateOption = true;
        }
        if ( $shouldUpdateOption ) {
    		update_option( 'tribe_events_calendar_options', $tribeEventsOptions, true );
        }
    }
}

function airpro_ocdi_after_import_deactivate_woocommerce_for_non_ecommerce_demos( $selected_import ) {
    $selected_demo_includes_ecommerce = 'AirPro E-commerce Demo' === $selected_import[ 'import_file_name' ];
    $should_deactivate_woocommerce = ! $selected_demo_includes_ecommerce;

    if ( ! $should_deactivate_woocommerce ) {
        return;
    }

    // check if woocommerce installed, or installed+activated
    $woocommerce_is_active = function_exists( 'WC' );
    if ( ! $woocommerce_is_active ) {
        return;
    }
    // if yes, deactivate it
    deactivate_plugins( 'woocommerce/woocommerce.php' );
}

function airpro_ocdi_after_import_copy_initial_version_of_redux_generated_css( $selected_import ) {
    $opt_name = AIRPRO_THEME_OPTION_NAME;
    $redux_generated_file_name = $opt_name . '_style.css';

    $selected_demo_includes_ecommerce = 'AirPro E-commerce Demo' === $selected_import[ 'import_file_name' ];
    $demo_folder_name = $selected_demo_includes_ecommerce
        ? 'demo-ecommerce'
        : 'demo-classic';
    $path_to_original_file = trailingslashit( get_template_directory() ) . 'demo-content/' . $demo_folder_name . '/' . $redux_generated_file_name;

    $upload_dir = wp_upload_dir();
    $path_to_final_destination = trailingslashit( $upload_dir[ 'basedir' ] );
    $path_to_destination_file = $path_to_final_destination . $redux_generated_file_name;

    if ( file_exists( $path_to_destination_file ) ) {
        return;
    }
    
    copy( $path_to_original_file, $path_to_destination_file );
}

function airpro_ocdi_after_import_set_justified_gallery() {    
    //set settings for Justified Gallery plugin:
    $justifiedGallerySettings = get_option( 'dgwt_jg_settings' );

    if ( ! isset($justifiedGallerySettings) ) {
        $justifiedGallerySettings = array();
    }
    
    $justifiedGallerySettings[ 'last_row' ] = 'justify';
    $justifiedGallerySettings[ 'margin' ] = '0';
    $justifiedGallerySettings[ 'row_height' ] = '200';
    $justifiedGallerySettings[ 'max_row_height' ] = '200';
    $justifiedGallerySettings[ 'description' ] = 'show';

    update_option( 'dgwt_jg_settings', $justifiedGallerySettings, true );
}

function airpro_ocdi_import_reset_woocommerce_pages ( $selected_import ) {
    $woocommerce_is_active = function_exists( 'WC' );
    if ( ! $woocommerce_is_active ) {
        return;
    }

    $selected_demo_includes_ecommerce = 'AirPro E-commerce Demo' === $selected_import[ 'import_file_name' ];
    if ( ! $selected_demo_includes_ecommerce ) {
        return;
    }

    WC_Install::create_pages(); // https: //docs.woocommerce.com/wc-apidocs/source-class-WC_Install.html#317
}

function airpro_ocdi_after_import_visual_composer_templates() {

  // we're using plugin, "VC Templates Import & Export"
  $plugin_class_name = 'VC_Templates_Import_Export';
  if ( ! class_exists( $plugin_class_name ) ) {
    return;
  }

  $exported_vc_templates_file_path = trailingslashit( get_template_directory() ) . 'demo-content/vc-templates/vc_templates.json';
  if ( ! file_exists( $exported_vc_templates_file_path ) ) {
    return;
  }

  $importer = new VC_Templates_Import_Export();
  $importer->import_handle( $exported_vc_templates_file_path );
};

function airpro_ocdi_after_import_customize_booked_plugin() {    
    //set settings for Booked plugin:
    $booked_plugin_entries_in_options_table_and_desired_values = array(
        'booked_light_color' => '#00aedd',
        'booked_dark_color' => '#173869',
        'booked_button_color' => '#00aedd',
        'booked_booking_type' => 'guest',
        'booked_registration_name_requirements' => array( 'require_surname' ),
        'booked_require_guest_email_address' => true,
        'booked_email_force_sender' => true,
        'booked_emailer_disabled' => true,
        'booked_timeslot_intervals' => 30,
        'booked_cancellation_buffer' => 12,
        'booked_appointment_limit' => 4,
        'booked_custom_fields' => '[{"name":"drop-down-label---2828311___required","value":"Select Service"},{"name":"single-drop-down---1607063","value":"Notarisation"},{"name":"single-drop-down---6657215","value":"Legalisation"},{"name":"single-drop-down---5725128","value":"Apostille"},{"name":"single-drop-down---8423260","value":"Signing Agent"},{"name":"drop-down-label---1637243___required","value":"Number of Documents"},{"name":"single-drop-down---6046059","value":"1"},{"name":"single-drop-down---1275679","value":"2"},{"name":"single-drop-down---5134016","value":"3"},{"name":"single-drop-down---8609487","value":"4"},{"name":"single-drop-down---1999035","value":"5..."},{"name":"single-drop-down---3679136","value":""},{"name":"radio-buttons-label---10636200___required","value":"Type of Service"},{"name":"single-radio-button---10636200","value":"Mobile Service"},{"name":"single-radio-button---10636200","value":"Walk-In Service"},{"name":"checkboxes-label---10170941","value":"Type of Document"},{"name":"single-checkbox---10170941","value":"Power of Attorney"},{"name":"single-checkbox---10170941","value":"Grant Deed"},{"name":"single-checkbox---10170941","value":"Agreement"},{"name":"single-checkbox---10170941","value":"Will"},{"name":"single-checkbox---10170941","value":"Apostille"},{"name":"required---2828311","value":true},{"name":"required---1637243","value":true},{"name":"required---10636200","value":true},{"name":"required---10170941","value":false}]',
        'booked_defaults' => array (
            'Mon' => array (
              '0800-0900' => 4,
              '0900-1000' => 4,
              '1000-1100' => 4,
              '1100-1200' => 4,
              '1200-1300' => 4,
              '1300-1400' => 4,
              '1400-1500' => 4,
            ),
            'Mon-details' => array (
              '0800-0900' => array (
                'title' => '',
              ),
              '0900-1000' => array (
                'title' => '',
              ),
              '1000-1100' => array (
                'title' => '',
              ),
              '1100-1200' => array (
                'title' => '',
              ),
              '1200-1300' => array (
                'title' => '',
              ),
              '1300-1400' => array (
                'title' => '',
              ),
              '1400-1500' => array (
                'title' => '',
              ),
            ),
            'Tue' => 
            array (
              '0800-0900' => 4,
              '0900-1000' => 4,
              '1000-1100' => 4,
              '1100-1200' => 4,
              '1200-1300' => 4,
              '1300-1400' => 4,
              '1400-1500' => 4,
            ),
            'Tue-details' => array (
              '0800-0900' => 
              array (
                'title' => '',
              ),
              '0900-1000' => array (
                'title' => '',
              ),
              '1000-1100' => array (
                'title' => '',
              ),
              '1100-1200' => array (
                'title' => '',
              ),
              '1200-1300' => array (
                'title' => '',
              ),
              '1300-1400' => array (
                'title' => '',
              ),
              '1400-1500' => array (
                'title' => '',
              ),
            ),
            'Wed' => array (
              '0800-0900' => 4,
              '0900-1000' => 4,
              '1000-1100' => 4,
              '1100-1200' => 4,
              '1200-1300' => 4,
              '1300-1400' => 4,
              '1400-1500' => 4,
            ),
            'Wed-details' => array (
              '0800-0900' => array (
                'title' => '',
              ),
              '0900-1000' => array (
                'title' => '',
              ),
              '1000-1100' => array (
                'title' => '',
              ),
              '1100-1200' => array (
                'title' => '',
              ),
              '1200-1300' => array (
                'title' => '',
              ),
              '1300-1400' => array (
                'title' => '',
              ),
              '1400-1500' => array (
                'title' => '',
              ),
            ),
            'Thu' => array (
              '0800-0900' => 4,
              '0900-1000' => 4,
              '1000-1100' => 4,
              '1100-1200' => 4,
              '1200-1300' => 4,
              '1300-1400' => 4,
              '1400-1500' => 4,
            ),
            'Thu-details' => array (
              '0800-0900' => array (
                'title' => '',
              ),
              '0900-1000' => array (
                'title' => '',
              ),
              '1000-1100' => array (
                'title' => '',
              ),
              '1100-1200' => array (
                'title' => '',
              ),
              '1200-1300' => array (
                'title' => '',
              ),
              '1300-1400' => array (
                'title' => '',
              ),
              '1400-1500' => array (
                'title' => '',
              ),
            ),
            'Fri' => array (
              '0800-0900' => 4,
              '0900-1000' => 4,
              '1000-1100' => 4,
              '1100-1200' => 4,
              '1200-1300' => 4,
              '1300-1400' => 4,
              '1400-1500' => 4,
            ),
            'Fri-details' => array (
              '0800-0900' => array (
                'title' => '',
              ),
              '0900-1000' => array (
                'title' => '',
              ),
              '1000-1100' => array (
                'title' => '',
              ),
              '1100-1200' => array (
                'title' => '',
              ),
              '1200-1300' => array (
                'title' => '',
              ),
              '1300-1400' => array (
                'title' => '',
              ),
              '1400-1500' => array (
                'title' => '',
              ),
            ),
            'Sat' => array (
              '0800-0900' => 4,
              '0900-1000' => 4,
              '1000-1100' => 4,
            ),
            'Sat-details' => array (
              '0800-0900' => array (
                'title' => '',
              ),
              '0900-1000' => array (
                'title' => '',
              ),
              '1000-1100' => array (
                'title' => '',
              ),
            ),
          )
    );

    foreach ( $booked_plugin_entries_in_options_table_and_desired_values as $option => $value ) {
        update_option( $option, $value, true );
    }
}

function airpro_ocdi_after_import_setup( $selected_import ) {
    airpro_ocdi_after_import_set_menu_locations();
    airpro_ocdi_after_import_set_frontpage_and_postspage( $selected_import );
    airpro_ocdi_after_import_layerslider();
    airpro_ocdi_after_import_set_permalinks();
    airpro_ocdi_after_import_set_events_calendar();
    airpro_ocdi_after_import_deactivate_woocommerce_for_non_ecommerce_demos( $selected_import );
    airpro_ocdi_after_import_copy_initial_version_of_redux_generated_css( $selected_import );
    airpro_ocdi_after_import_set_justified_gallery();
    airpro_ocdi_after_import_customize_booked_plugin();
    airpro_ocdi_after_import_visual_composer_templates();
    airpro_ocdi_import_reset_woocommerce_pages( $selected_import );
}

add_filter( 'pt-ocdi/confirmation_dialog_options', 'airpro_ocdi_confirmation_dialog_options', 10, 1 );
add_filter( 'pt-ocdi/import_files', 'airpro_ocdi_import_files' );
add_action( 'pt-ocdi/after_import', 'airpro_ocdi_after_import_setup' );