<?php


add_filter( 'rwmb_meta_boxes', 'airpro_register_meta_boxes' );

function airpro_register_meta_boxes( $meta_boxes ) {
	$meta_boxes = array();
	$prefix     = 'airpro_';

	/**
	 * Pages
	 */

	$menus       = get_registered_nav_menus();
	$menus_array = array();

	foreach ( $menus as $location => $description ) {
		$menus_array[ $location ] = $description;
	}

	$layout_blocks = get_posts(array(
		'post_type' => 'layout_block',
		'numberposts' => -1));
	$layout_blocks_array = array();
	foreach ( $layout_blocks as $layout_block ) {
		$layout_blocks_array[ $layout_block->ID ] = $layout_block->post_title;
	}


	$meta_boxes[] = array(
		'title'  => 'Page Settings',
		'pages'  => array( 'page' ), // can be used on multiple CPTs
		'fields' => array(
			array(
				'id'               => $prefix . 'custom_logo',
				'type'             => 'image_advanced',
				'name'             => esc_html__( 'Custom Logo', 'airpro' ),
				'desc'             => esc_html__( 'Used it to override the logo from theme options. This works well when using Transparent Header Template.', 'airpro' ),
				'max_file_uploads' => 1,
			),
			array(
				'id'          => $prefix . 'top_bar_layout_block',
				'type'        => 'select',
				'name'        => esc_html( 'Top Bar Layout Block', 'airpro' ),
				'desc'        => esc_html( 'Override Theme Options settings.', 'airpro' ),
				'options'     => $layout_blocks_array,
				'placeholder' => esc_html( 'Default' ),
			),
			array(
				'id'          => $prefix . 'footer_layout_block',
				'type'        => 'select',
				'name'        => esc_html( 'Footer Layout Block', 'airpro' ),
				'desc'        => esc_html( 'Override Theme Options settings.', 'airpro' ),
				'options'     => $layout_blocks_array,
				'placeholder' => esc_html( 'Default' ),
			),
		)
	);

	return $meta_boxes;
}
