<?php

if ( ! class_exists( 'Redux' ) ) {
	return;
}

// This is your option name where all the Redux data is stored.
$opt_name = AIRPRO_THEME_OPTION_NAME;

function airpro_redux_remove_demo_mode_link() {
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );
    }
}
add_action('init', 'airpro_redux_remove_demo_mode_link');


// Compiler hook and demo CSS output.
// Above 10 is a priority, but 2 in necessary to include the dynamically generated CSS to be sent to the function.
add_filter( 'redux/options/' . $opt_name . '/compiler', 'class_compiler_action', 10, 3 );

function class_compiler_action( $options, $css, $changed_values ) {

	$upload_dir = wp_upload_dir();
	$filename   = $upload_dir['basedir'] . '/' . AIRPRO_THEME_OPTION_NAME . '_style.css';
	$filename = apply_filters('wheels_redux_compiler_filename', $filename);

	$filecontent = "/********* Compiled file/Do not edit *********/\n";
	$filecontent .= $css;

	// Primary Styling Color
	$option_name = 'primary-styling-color';
	if (isset($options[$option_name]) && isset($options[$option_name])) {

		$filecontent .= '.sf-menu.wh-menu-main a:hover';
		$filecontent .= '{ color: ' . $options[$option_name] . '; }';

		$filecontent .= '.wh-accent-color,';
		$filecontent .= '.linp-post-list .item .meta-data i,';
		$filecontent .= '.widget-latest-posts .widget-post-list-item .title a,';
		$filecontent .= '.linp-tribe-events-link a,';
		$filecontent .= '.wh-theme-icon,';
		$filecontent .= '.entry-meta i,';
		$filecontent .= '.teacher-meta-data i,';
		$filecontent .= '.single .prev-next-item i,';
		$filecontent .= '.tl-recent-tweets i,';
		$filecontent .= '.left-cell .label,';
		$filecontent .= '.right-cell .label,';
		$filecontent .= '.widget_categories ul li:before,';
		$filecontent .= '.widget ul li:before,';
		$filecontent .= '.testimonial_rotator_wrap .testimonial_rotator .quote-icon,';
		$filecontent .= '.post-type-archive-teacher .teacher .job-title, .scp-teachers .teacher .job-title, .widget-teachers .teacher .job-title,';
		$filecontent .= '.comment time a,';
		$filecontent .= '.linp-tribe-events .event .info .title a,';
		$filecontent .= '.linp-tribe-events-link,';
		$filecontent .= '.vc_custom_heading a,';
		$filecontent .= '.wh-theme-icon,';
		$filecontent .= '.wh-alt-button,';
		$filecontent .= '.wh-pricing-plan i,';
		$filecontent .= '.crea-primary-color,';
		$filecontent .= '.wh-breadcrumbs a,';
		$filecontent .= 'sf-menu.wh-menu-main ul li a:hover,';
		$filecontent .= '.linp-post-list .item .data h3 a,';
		$filecontent .= '.wpb_content_element .wpb_tabs_nav li.ui-tabs-active a,';
		$filecontent .= '.wpb_content_element .wpb_tabs_nav li.ui-tabs-active a:hover,';
		$filecontent .= '.white-wh-alt-button a:hover,';
		$filecontent .= '.white-wh-alt-button:hover,';
		$filecontent .= '.white-wh-alt-button:hover a,';
		$filecontent .= '.entry-meta a,';
		$filecontent .= '.entry-content a,';
		$filecontent .= '.comment-content a,';
		$filecontent .= '.entry-title a:hover,';
		$filecontent .= '.single .prev-next-item a,';
		$filecontent .= '.reviewer,';
		$filecontent .= '.product_title,';
		$filecontent .= '.product-title,';
		$filecontent .= '.woocommerce-loop-product__title,';
		$filecontent .= '.woocommerce .widget_layered_nav ul li a,';
		$filecontent .= '.total .amount,';
		$filecontent .= '.woocommerce .widget_layered_nav_filters ul li a::before,';
		$filecontent .= '.woocommerce .star-rating span::before,';
		$filecontent .= '.woocommerce-review__author,';
		$filecontent .= '.sku_wrapper,';
		$filecontent .= '.posted_in,';
		$filecontent .= '.woocommerce-message::before,';
		$filecontent .= '.crea-cart-menu-item:hover .crea-woocommerce-cart-fragment.how-many,';
		$filecontent .= '.woocommerce div.product p.price,';
		$filecontent .= '.woocommerce-orders-table__cell-order-number a,';
		$filecontent .= '.woocommerce-Address a, .woocommerce-message a,';
		$filecontent .= '.woocommerce-MyAccount-content a,';
		$filecontent .= '.crea-woocommerce-cart-popup li a, .woocommerce.widget_shopping_cart .cart_list li a,';
		$filecontent .= '.comment-author-link,';
		$filecontent .= '.woocommerce div.product form.cart .reset_variations,';
		$filecontent .= '.woocommerce-info::before,';
		$filecontent .= '.woocommerce-info a,';
		$filecontent .= '.woocommerce div.product p.price, .woocommerce div.product span.price,';
		$filecontent .= '.woocommerce .remove,';
		$filecontent .= '.slider-hd-prim,';
		$filecontent .= '.wpb_text_column.wpb_content_element a,';
		$filecontent .= '.xs-phone h2';
		$filecontent .= '{ color: ' . $options[$option_name] . ' !important; }';

		$filecontent .= '.wh-background-accent-color,';
		$filecontent .= '.header-mesage-row,';
		$filecontent .= '.wh-vc-separator:before,';
		$filecontent .= '.linp-post-list .item .img-container .date,';
		$filecontent .= '.wh-sidebar .children-links ul li.current_page_item a, .wh-sidebar .children-links ul li a:hover,';
		$filecontent .= '.wh-teacher-icons .vc_icon_element.vc_icon_element-outer .vc_icon_element-inner.vc_icon_element-size-xs.vc_icon_element-have-style-inner,';
		$filecontent .= '.share-this .share-buttons .fa,';
		$filecontent .= '.linp-tribe-events-wrap .widget-title,';
		$filecontent .= '.wh-button,';
		$filecontent .= '.button,';
		$filecontent .= 'button,';
		$filecontent .= 'input[type="submit"],';
		$filecontent .= '.crea-primary-background,';
		$filecontent .= '.side-btn,';
		$filecontent .= '#tribe-bar-form .tribe-bar-submit input[type="submit"],';
		$filecontent .= '.tribe-events-calendar thead th,';
		$filecontent .= '#tribe-events .tribe-events-button,';
		$filecontent .= '#tribe-bar-form .tribe-bar-submit input[type=submit],';
		$filecontent .= '.pagination .current,';
		$filecontent .= '.woocommerce .widget_price_filter .ui-slider .ui-slider-range,';
		$filecontent .= '.woocommerce .widget_price_filter .ui-slider>span.ui-slider-handle,';
		$filecontent .= '.woocommerce div.product .product_title:after,';
		$filecontent .= '.woocommerce div.product .comment-reply-title:after,';
		$filecontent .= '.tagcloud a:hover,';
		$filecontent .= '.woocommerce ul.products span.amount,';
		$filecontent .= '.crea-woocommerce-cart-fragment.how-many,';
		$filecontent .= '.woocommerce-MyAccount-navigation a:hover,';
		$filecontent .= '.is-active a,';
		$filecontent .= '.woocommerce nav.woocommerce-pagination ul li span.current,';
		$filecontent .= '.woocommerce nav.woocommerce-pagination ul li a:hover,';
		$filecontent .= '.slider-price-last,';
		$filecontent .= '.cbp-respmenu-more,';
		$filecontent .= '#ui-datepicker-div.booked_custom_date_picker table.ui-datepicker-calendar tbody td a.ui-state-active,';
		$filecontent .= '#ui-datepicker-div.booked_custom_date_picker table.ui-datepicker-calendar tbody td a.ui-state-active:hover,';
		$filecontent .= '.ui-state-hover,';
		$filecontent .= '.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"]';
		$filecontent .= '{ background-color: ' . $options[$option_name] . '; }';

		$filecontent .= '.lin-heading-separator .uvc-headings-line,';
		$filecontent .= '.wh-alt-button,';
		$filecontent .= 'input[type="submit"],';
		$filecontent .= '.tribe-events-calendar thead th,';
		$filecontent .= '.white-wh-alt-button a:hover,';
		$filecontent .= '.white-wh-alt-button:hover,';
		$filecontent .= '.white-wh-alt-button:hover a,';
		$filecontent .= '.wh-footer .widget ul li:before,';
		$filecontent .= '.woocommerce-info,';
		$filecontent .= '.woocommerce-message,';
		$filecontent .= 'body table.booked-calendar .booked-appt-list .timeslot .timeslot-people button:hover,';
		$filecontent .= 'body table.booked-calendar td.today .date span,';
		$filecontent .= '.wh-icon-box .vc_column-inner:hover';
		$filecontent .= '{ border-color: ' . $options[$option_name] . ' !important; }';

		$filecontent .= '.scp-block-quote-alt';
		$filecontent .= '{border-left-color:' . $options[$option_name] . ' !important;}';

		$filecontent .= '.vc_grid-pagination .vc_grid-pagination-list.vc_grid-pagination-color-orange>li>a, .vc_grid-pagination .vc_grid-pagination-list.vc_grid-pagination-color-orange>li>span,';
		$filecontent .= '.tribe-events-calendar thead th';
		$filecontent .= '{';
		$filecontent .= 'background-color:' . $options[$option_name] . ' !important;';
		$filecontent .= 'border-color:' . $options[$option_name] . ' !important;';
		$filecontent .= '}';

		$filecontent .= '.white-wh-alt-button:hover,';
		$filecontent .= '.white-wh-alt-button:hover a,';
		$filecontent .= 'div.ls-layer:hover,';
		$filecontent .= 'div.ls-layer:hover a.cta-ghost-btn,';
		$filecontent .= '.cta-ghost-btn:hover,';
		$filecontent .= '.cta-ghost-btn:hover a,';
		$filecontent .= '#tribe-events-content .tribe-events-tooltip h4';
		$filecontent .= '{';
		$filecontent .= 'color:' . $options[$option_name] . ' !important;';
		$filecontent .= 'border-color:' . $options[$option_name] . ' !important;';
		$filecontent .= '}';

		$filecontent .= 'input[type="submit"]:focus';
		$filecontent .= '{ background-color:' . $options[$option_name] . '; }';

		$filecontent .= 'body table.booked-calendar td.today:hover .date span';
		$filecontent .= '{ background-color:' . $options[$option_name] . ' !important; }';

		$filecontent .= '.slider-icon-prim path,';
		$filecontent .= '.slider-icon-prim polygon';
		$filecontent .= '{ fill: ' . $options[$option_name] . '; }';
	}

	// Secondary Styling Color
	$option_name = 'secondary-styling-color';
	if (isset($options[$option_name]) && isset($options[$option_name])) {
		$filecontent .= '{ color: ' . $options[$option_name] . '; }';
		$filecontent .= '.form-button-invert input[type="submit"],';
		$filecontent .= '.side-btn:hover,';
		$filecontent .= '.woocommerce ul.products del>span.amount,';
		$filecontent .= '.woocommerce .widget_price_filter .ui-slider .ui-slider-range,';
		$filecontent .= '.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content,';
		$filecontent .= '.woocommerce ul.products del>span.amount,';
		$filecontent .= '.crea-sec-background,';
		$filecontent .= '.slider-price-first,';
		$filecontent .= '#label-bg,';
		$filecontent .= '.crea-sec-background';
		$filecontent .= '{ background-color: ' . $options[$option_name] . '; }';

		$filecontent .= '#ui-datepicker-div.booked_custom_date_picker table.ui-datepicker-calendar tbody td a.ui-state-active,';
		$filecontent .= '#ui-datepicker-div.booked_custom_date_picker table.ui-datepicker-calendar tbody td a.ui-state-active:hover,';
		$filecontent .= '.ui-state-hover,';
		$filecontent .= 'body table.booked-calendar .booked-appt-list .timeslot .timeslot-people button:hover,';
		$filecontent .= 'body .booked-modal input[type=submit].button-primary:hover,';
		$filecontent .= 'body table.booked-calendar td.today .date span,';
		$filecontent .= 'body .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button,';
		$filecontent .= 'input[type="submit"]:hover';
		$filecontent .= '{ border-color: ' . $options[$option_name] . '; }';

		$filecontent .= '.wh-alt-button:hover,';
		$filecontent .= '.slider-hd-sec,';
		$filecontent .= '.slider-icon-sec,';
		$filecontent .= '.wh-alt-button:hover a';
		$filecontent .= '{ color: ' . $options[$option_name] . '; border-color: ' . $options[$option_name] . '; }';

		$filecontent .= '.slider-icon-sec path';
		$filecontent .= '{ fill: ' . $options[$option_name] . '; }';
	}

	// Comment hr color
	$option_name = 'content-hr';
	if (isset($options[$option_name]) && isset($options[$option_name]['border-color'])) {
		$filecontent .= '.comment-list .comment hr{border-top-color:' . $options[$option_name]['border-color'] . ';}';
	}

	// Other Seettings Vars
	 $option_name = 'other-settings-vars';
	 if (isset($options[$option_name])) {
		$scssphp_filepath = WP_PLUGIN_DIR . '/' . str_replace( '_', '-', AIRPRO_THEME_NAME ) . '-plugin/extensions/scssphp/scss.inc.php';
		 if (version_compare(phpversion(), '5.3.10', '>=') && file_exists( $scssphp_filepath ) ) {

			 $result = '';

			 $buffer = null;
			 if ( function_exists( 'scp_fgc') ) {
				 $buffer = scp_fgc( get_template_directory() . '/lib/redux/css/other-settings/vars.scss' );
			 }

			 $buffer = airpro_strip_comments( $buffer );
			 $lines = '';
			 if ( $buffer ) {
				 $lines  = explode( ';', $buffer );
			 }

			 $default_vars = array();
			 foreach ( $lines as $line ) {

				 $line = explode( ':', $line );
				 $key  = isset( $line[0] ) ? trim( str_replace( '$', '', $line[0] ) ) : false;

				 if ( $key ) {
					 $default_vars[ $key ] = trim( $line[1] );
				 }

			 }

			 require_once $scssphp_filepath;

			 try {
				 $scss = new Leafo\ScssPhp\Compiler();
				 $scss->setImportPaths(get_template_directory() . '/lib/redux/css');
				 // set default variables
				 $scss->setVariables($default_vars);
				 $scss->setFormatter('Leafo\ScssPhp\Formatter\Crunched');
				 // new line is needed at the end of the string to properly remove single line comments
				 // because this is a string and not a file
				 $data = airpro_strip_comments( $options[$option_name] . "\n" );
				 $data .= '@import "other-settings/main.scss";';
				 $result =  $scss->compile($data);

			 } catch (Exception $e) {

				 // if it fails to compile with user settings
				 // try with default settings
				 try {
					 $scss = new Leafo\ScssPhp\Compiler();
					 $scss->setImportPaths(get_template_directory() . '/lib/redux/css');
					 $scss->setFormatter('Leafo\ScssPhp\Formatter\Crunched');
					 $data = '@import "other-settings/vars.scss";';
					 $data .= '@import "other-settings/main.scss";';
					 $result =  $scss->compile($data);
				 } catch (Exception $e) {

				 }
			 }
			 $filecontent .= $result;
		 }
	 }

	if (is_writable($upload_dir['basedir'])) {
		scp_fpc($filename, $filecontent);

	} else {
		wp_die(esc_html__("It looks like your upload folder isn't writable, so PHP couldn't make any changes (CHMOD).", 'airpro'), esc_html__('Cannot write to file', 'airpro'), array('back_link' => true));
	}

}

/**
 * ---> SET ARGUMENTS
 * All the possible arguments for Redux.
 * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
 * */

$theme = wp_get_theme(); // For use with some settings. Not necessary.

$args = array(
	// TYPICAL -> Change these values as you need/desire
	'opt_name'             => $opt_name,
	// This is where your data is stored in the database and also becomes your global variable name.
	'display_name'         => $theme->get( 'Name' ),
	// Name that appears at the top of your panel
	'display_version'      => $theme->get( 'Version' ),
	// Version that appears at the top of your panel
	'menu_type'            => 'menu',
	//Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
	'allow_sub_menu'       => true,
	// Show the sections below the admin menu item or not
	'menu_title'           => esc_html__( 'Theme Options', 'airpro' ),
	'page_title'           => esc_html__( 'Theme Options', 'airpro' ),
	// You will need to generate a Google API key to use this feature.
	// Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
	'google_api_key'       => 'AIzaSyBETK1Pd_dt2PYIGteFgKS25rp6MmQFErw',
	// Set it you want google fonts to update weekly. A google_api_key value is required.
	'google_update_weekly' => false,
	// Must be defined to add google fonts to the typography module
	'async_typography'     => false,
	// Use a asynchronous font on the front end or font string
	//'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
	'admin_bar'            => true,
	// Show the panel pages on the admin bar
	'admin_bar_icon'       => 'dashicons-portfolio',
	// Choose an icon for the admin bar menu
	'admin_bar_priority'   => 50,
	// Choose an priority for the admin bar menu
	'global_variable'      => '',
	// Set a different name for your global variable other than the opt_name
	'dev_mode'             => false,
	// Show the time the page took to load, etc
	'update_notice'        => true,
	// If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
	'customizer'           => true,
	// OPTIONAL -> Give you extra features
	'page_priority'        => null,
	// Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
	'page_parent'          => 'themes.php',
	// For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
	'page_permissions'     => 'manage_options',
	// Permissions needed to access the options panel.
	'menu_icon'            => '',
	// Specify a custom URL to an icon
	'last_tab'             => '',
	// Force your panel to always open to a specific tab (by id)
	'page_icon'            => 'icon-themes',
	// Icon displayed in the admin panel next to your menu_title
	'page_slug'            => '_options',
	// Page slug used to denote the panel
	'save_defaults'        => true,
	// On load save the defaults to DB before user clicks save or not
	'default_show'         => false,
	// If true, shows the default value next to each field that is not the default value.
	'default_mark'         => '*',
	// What to print by the field's title if the value shown is default. Suggested: *
	'show_import_export'   => true,
	// Shows the Import/Export panel when not used as a field.

	// CAREFUL -> These options are for advanced use only
	'transient_time'       => 60 * MINUTE_IN_SECONDS,
	'output'               => true,
	// Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
	'output_tag'           => true,

	// FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
	'database'             => '',
	// possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!

	//'compiler'             => true,

	// HINTS
	'hints'                => array(
		'icon'          => 'el el-question-sign',
		'icon_position' => 'right',
		'icon_color'    => 'lightgray',
		'icon_size'     => 'normal',
		'tip_style'     => array(
			'color'   => 'light',
			'shadow'  => true,
			'rounded' => false,
			'style'   => '',
		),
		'tip_position'  => array(
			'my' => 'top left',
			'at' => 'bottom right',
		),
		'tip_effect'    => array(
			'show' => array(
				'effect'   => 'slide',
				'duration' => '500',
				'event'    => 'mouseover',
			),
			'hide' => array(
				'effect'   => 'slide',
				'duration' => '500',
				'event'    => 'click mouseleave',
			),
		),
	)
);

Redux::setArgs( $opt_name, $args );
