<?php

/**
 * Enqueue scripts and stylesheets
 */

add_action( 'wp_enqueue_scripts', 'airpro_add_google_fonts' );
add_action( 'wp_enqueue_scripts', 'airpro_scripts', 100 );
add_action( 'wp_enqueue_scripts', 'airpro_add_compiled_style', 999 );
add_action( 'wp_head', 'airpro_set_js_global_var' );

function airpro_add_google_fonts() {	
	if ( is_admin() ) {
		return;
	}

	$redux_has_been_activated_so_it_will_handle_google_fonts = class_exists( 'Redux' );
	if ( $redux_has_been_activated_so_it_will_handle_google_fonts ) {
		return;
	}

	wp_enqueue_style( 'redseal-google-fonts', 'http://fonts.googleapis.com/css?family=Open+Sans%3ANormal%7CRaleway%3A700normal%2C400normal%2CNormal&#038', false );
}

function airpro_scripts() {
	wp_enqueue_style( 'bricklayer-groundwork', get_template_directory_uri() . '/assets/css/groundwork-responsive.css', false );
	wp_enqueue_style( 'airpro-style-default', get_template_directory_uri() . '/style.min.css', false );
	wp_enqueue_style( 'theme-icons', get_template_directory_uri() . '/assets/css/theme-icons.css', false );

	if ( is_single() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'modernizr', get_template_directory_uri() . '/assets/js/vendor/modernizr-2.7.0.min.js', array(), null, false );
	wp_enqueue_script( 'jquery-fitvids', get_template_directory_uri() . '/assets/js/jquery.fitvids.min.js', array( 'jquery' ), null, true );
	wp_enqueue_script( 'jquery-hoverintent', get_template_directory_uri() . '/assets/js/jquery.hoverIntent.min.js', array( 'jquery' ), null, true );
	wp_enqueue_script( 'jquery-naturalwidthheight', get_template_directory_uri() . '/assets/js/jquery.natural-width-and-height.min.js', array( 'jquery' ), null, true );
	wp_enqueue_script( 'jquery-scrollup', get_template_directory_uri() . '/assets/js/jquery.scrollUp.min.js', array( 'jquery' ), null, true );
	wp_enqueue_script( 'jquery-sticky', get_template_directory_uri() . '/assets/js/jquery.sticky.min.js', array( 'jquery' ), null, true );
	wp_enqueue_script( 'superfish', get_template_directory_uri() . '/assets/js/superfish.min.js', array( 'jquery' ), null, true );
	wp_enqueue_script( 'airpro_plugins_responsivemenu', get_template_directory_uri() . '/assets/js/crea-responsive-menu.min.js', array( 'jquery' ), null, true );	
	wp_enqueue_script( 'airpro_scripts', get_template_directory_uri() . '/assets/js/crea-main.min.js', array( 'jquery' ), null, true );
}

if ( ! function_exists( 'airpro_add_compiled_style' ) ) {

	function airpro_add_compiled_style() {
		$upload_dir = wp_upload_dir();

		$opt_name = AIRPRO_THEME_OPTION_NAME;

		if ( file_exists( $upload_dir['basedir'] . '/' . $opt_name . '_style.css' ) ) {
			$upload_url = $upload_dir['baseurl'];
			if ( strpos( $upload_url, 'https' ) !== false ) {
				$upload_url = str_replace( 'https:', '', $upload_url );
			} else {
				$upload_url = str_replace( 'http:', '', $upload_url );
			}
			wp_enqueue_style( $opt_name . '_style', $upload_url . '/' . $opt_name . '_style.css', false );
		} else {
			wp_enqueue_style( $opt_name . '_style', get_template_directory_uri() . '/assets/css/airpro_options_style.css', false );
		}
	}
}

function airpro_set_js_global_var() {
	$scroll_to_top_text = airpro_get_option( 'scroll-to-top-text', '' );
	?>
	<script>
		var wheels = wheels ||
			{
				siteName: "<?php bloginfo('name'); ?>",
				data: {
					useScrollToTop: <?php echo json_encode( filter_var( airpro_get_option( 'use-scroll-to-top', true ), FILTER_VALIDATE_BOOLEAN ) ); ?>,
					useStickyMenu: <?php echo json_encode( filter_var( airpro_get_option( 'main-menu-use-menu-is-sticky', true ), FILTER_VALIDATE_BOOLEAN ) ); ?>,
					scrollToTopText: <?php echo json_encode( $scroll_to_top_text ); ?>,
					isAdminBarShowing: <?php echo is_admin_bar_showing() ? 'true' : 'false'; ?>,
					initialWaypointScrollCompensation: <?php echo json_encode( airpro_get_option( 'main-menu-initial-waypoint-compensation', 120 ) ); ?>
				}
			};
	</script>
<?php
}
