<?php

add_filter( 'woocommerce_order_button_html', 'airpro_woocommerce_order_button_html' );

function airpro_woocommerce_order_button_html( $html ) {
    $order_button_text = apply_filters( 'woocommerce_order_button_text', __( 'Place order', 'airpro' ) );

    return
        '<div>
            <span id="place_order" class="hoverable" >
                <span class="anim"></span>
                <input type="submit" class="wh-button" name="woocommerce_checkout_place_order" value="'
            . esc_attr( $order_button_text )
            . '" data-value="'
            . esc_attr( $order_button_text )
            . '" />'
            . '</span>'
            . '</div>';
}

/* update "cart" widget after AJAX cart products changes */
add_filter( 'woocommerce_add_to_cart_fragments', 'airpro_woocommerce_custom_cart_update' );

function airpro_woocommerce_custom_cart_update( $fragments ) {
    ob_start();
	get_template_part( 'templates/woocommerce-cart' );
	$cart_markup = ob_get_clean();

  $fragments['span.crea-woocommerce-wrapper'] = $cart_markup;

  return $fragments;
}

/* place "price" between the product thumbnail and the product title */
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10 );
add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_price', 10 );

/* change number of columns (products per row) */
add_filter( 'loop_shop_columns', 'airpro_woocommerce_customize_number_of_columns' );
if ( ! function_exists( 'airpro_woocommerce_customize_number_of_columns' ) ) {
    function airpro_woocommerce_customize_number_of_columns() {
        $products_pre_row = airpro_get_option( 'woocommerce-shop-products-per-row', 3 );
        return $products_pre_row;
    }
}

/* Menu cart pop-up: customize buttons */

/* Function originaly found in wc-template-functions.php. */
if ( ! function_exists( 'woocommerce_widget_shopping_cart_button_view_cart' ) ) {
	function woocommerce_widget_shopping_cart_button_view_cart() {
		global $airpro_woo_anchor_effect_class_button_alt;
		global $airpro_woo_anchor_inner_effect_markup;
 		echo '<a href="'
             . esc_url( wc_get_cart_url() )
             . '" class="wc-forward '
             . $airpro_woo_anchor_effect_class_button_alt
             . '">'
             . $airpro_woo_anchor_inner_effect_markup
             . esc_html__( 'View cart', 'airpro' )
             . '</a>';
 	}
 }

 /* Function originaly found in wc-template-functions.php. */
 if ( ! function_exists( 'woocommerce_widget_shopping_cart_proceed_to_checkout' ) ) {
 	function woocommerce_widget_shopping_cart_proceed_to_checkout() {
		global $airpro_woo_anchor_effect_class_button_hoverable;
		global $airpro_woo_anchor_inner_effect_markup;
 		echo '<a href="'
             . esc_url( wc_get_checkout_url() )
             . '" class="checkout wc-forward '
             . $airpro_woo_anchor_effect_class_button_hoverable
             . '">'
             . $airpro_woo_anchor_inner_effect_markup
             . esc_html__( 'Checkout', 'airpro' )
             . '</a>';
 	}
 }

 add_filter( 'wc_add_to_cart_message_html', 'airpro_wc_customize_view_cart_message_after_adding_to_cart' );

 function airpro_wc_customize_view_cart_message_after_adding_to_cart( $message ) {
    global $airpro_woo_anchor_effect_class_button_pullright_borderless_hoverable;
    global $airpro_woo_anchor_inner_effect_markup;
    
    $customized_after_add_to_cart_message = str_replace(    // https: //stackoverflow.com/a/7605499
        array( 'class="button wc-forward"', esc_html__( 'View cart', 'airpro' ) ),
        array( 'class="wc-forward ' . $airpro_woo_anchor_effect_class_button_pullright_borderless_hoverable . '"', $airpro_woo_anchor_inner_effect_markup . esc_html__( 'View cart', 'airpro' ) ),
        $message);
    return $customized_after_add_to_cart_message;
 }

 /* Prevent displaying of WooCommerce page titles ("Shop", ...) */
 add_filter( 'woocommerce_show_page_title', 'airpro_woocommerce_hide_page_title' );

if ( ! function_exists( 'airpro_woocommerce_hide_page_title' ) ) {
    function airpro_woocommerce_hide_page_title() {
        return false;
    }
}