<?php
/**
 * @package WordPress
 * @subpackage Wheels
 */

$sidebar_layout = airpro_get_layout_option( 'page-sidebar-layout' );	/* left, right, none */
$is_boxed = airpro_get_option( 'single-post-is-boxed', false );
if ( $is_boxed ) {
	get_header( 'boxed' );
} else {
	get_header();
}
?>

<?php get_template_part( 'templates/title' ); ?>
<div class="<?php echo airpro_class( 'main-wrapper' ) ?>">
	<div class="<?php echo airpro_class( 'container' ); ?>">

		<?php if ( 'left' == $sidebar_layout ) : ?>
			<div class="<?php echo airpro_class( 'sidebar' ) ?>">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>

		<div class="<?php echo airpro_class( 'content' ) ?>">
			<?php get_template_part( 'templates/content-single' ); ?>
		</div>

		<?php if ( 'right' == $sidebar_layout ) : ?>
			<div class="<?php echo airpro_class( 'sidebar' ) ?>">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>

	</div>
</div>

<?php
if ( $is_boxed ) {
	get_footer( 'boxed' );
} else {
	get_footer();
}
?>
